JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const actionCatalogs = await client.workflows.actionCatalog.list();
console.log(actionCatalogs.items);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
action_catalogs = client.workflows.action_catalog.list()
print(action_catalogs.items)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
actionCatalogs, err := client.Workflows.ActionCatalog.List(context.TODO(), mobileruncloud.WorkflowActionCatalogListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", actionCatalogs.Items)
}mobilerun-cloud workflows:action-catalog list \
--api-key 'My API Key'curl --request GET \
--url https://api.mobilerun.ai/action-catalog \
--header 'Authorization: Bearer <token>'
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"method": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"paramsSchema": "<unknown>"
}
],
"pagination": {
"hasNext": true,
"hasPrev": true,
"page": 2,
"pageSize": 2,
"pages": 1,
"total": 1
}
}Action Catalog
List action catalog entries
Return a paginated list of catalog entries — the service/method templates that actions are created from, each carrying its parameter schema. Supports filtering by service.
GET
/
action-catalog
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const actionCatalogs = await client.workflows.actionCatalog.list();
console.log(actionCatalogs.items);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
action_catalogs = client.workflows.action_catalog.list()
print(action_catalogs.items)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
actionCatalogs, err := client.Workflows.ActionCatalog.List(context.TODO(), mobileruncloud.WorkflowActionCatalogListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", actionCatalogs.Items)
}mobilerun-cloud workflows:action-catalog list \
--api-key 'My API Key'Authorizations
Bearer token via Authorization header
Query Parameters
Available options:
tasks_api, devices_api, agents_api, webhooks Was this page helpful?
⌘I